#include <bits/stdc++.h>
#define pb push_back
#define yes cout << "YES\n"
#define no cout << "NO\n"
#define ll long long
using namespace std;
 
 
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cout<<-1<<endl;
	return 0;
}